- Main Page
- Classes
- Files

- File List
- File Members

# datetime.h File Reference

Declares classes to add SQL-compatible date and time types to C++'s type system. More...

`#include "common.h"`
`#include "comparable.h"`
`#include <string>`
`#include <iostream>`

Include dependency graph for datetime.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | mysqlpp
## Classes
class | mysqlpp::DateTime
| C++ form of SQL's DATETIME type. More...
class | mysqlpp::Date
| C++ form of SQL's DATE type. More...
class | mysqlpp::Time
| C++ form of SQL's TIME type. More...
## Functions
std::ostream & | mysqlpp::operator<< (std::ostream &os, const DateTime &dt)
| Inserts a DateTime object into a C++ stream in a SQL-compatible format.
std::ostream & | mysqlpp::operator<< (std::ostream &os, const Date &d)
| Inserts a Date object into a C++ stream.
std::ostream & | mysqlpp::operator<< (std::ostream &os, const Time &t)
| Inserts a Time object into a C++ stream in a SQL-compatible format.

## Detailed Description

Declares classes to add SQL-compatible date and time types to C++'s type system.